%define pypi_name Bottleneck
%define pkg_name bottleneck

Name:           python-%{pkg_name}
Version:        1.3.7
Release:        %mkrel 1
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Bottleneck
Source0:        %{pypi_source}
Patch0:         Bottleneck-1.3.2-fix-linking.patch

%description
Bottleneck is a collection of fast NumPy array functions written in C.

%package -n     python3-%{pkg_name}
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-numpy-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
Bottleneck is a collection of fast NumPy array functions written in C.

%prep
%autosetup -n Bottleneck-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bottleneck

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst RELEASE.rst LICENSE


%changelog
* Wed Jun 07 2023 papoteur <papoteur> 1.3.7-1.mga9
+ Revision: 1961207
- new 1.3.7

* Mon Mar 28 2022 umeabot <umeabot> 1.3.2-4.mga9
+ Revision: 1829499
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 neoclust <neoclust> 1.3.2-3.mga9
+ Revision: 1773996
- Rebuild for python 3.10

* Sun Mar 21 2021 tv <tv> 1.3.2-2.mga9
+ Revision: 1706510
- Rebuild for python 3.9

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.3.2-1.mga9
+ Revision: 1705479
- new version 1.3.2

* Sun Feb 16 2020 umeabot <umeabot> 1.2.1-4.mga8
+ Revision: 1534097
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.2.1-3.mga8
+ Revision: 1447002
- add patch to fix linking issue

* Tue Sep 24 2019 tv <tv> 1.2.1-2.mga8
+ Revision: 1445400
- "fix" underlinking
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 1.2.1-1.mga7
+ Revision: 1380000
- imported package python-bottleneck

